Loading...
Searching...
No Matches
_MatrixInfo Struct Reference

## Data Fields

CacheType | type
size_t | columns
size_t | rows
size_t | stride
MagickSizeType | length
MagickBooleanType | mapped
MagickBooleanType | synchronize
char | path [MagickPathExtent]
int | file
void * | elements
SemaphoreInfo * | semaphore
size_t | signature

## Detailed Description

Definition at line 63 of file matrix.c.

## Field Documentation

## columns

size_t _MatrixInfo::columns

Definition at line 69 of file matrix.c.

## elements

void* _MatrixInfo::elements

Definition at line 87 of file matrix.c.

## file

int _MatrixInfo::file

Definition at line 84 of file matrix.c.

## length

MagickSizeType _MatrixInfo::length

Definition at line 74 of file matrix.c.

## mapped

MagickBooleanType _MatrixInfo::mapped

Definition at line 77 of file matrix.c.

## path

char _MatrixInfo::path[MagickPathExtent]

Definition at line 81 of file matrix.c.

## rows

size_t _MatrixInfo::rows

Definition at line 70 of file matrix.c.

## semaphore

SemaphoreInfo* _MatrixInfo::semaphore

Definition at line 90 of file matrix.c.

## signature

size_t _MatrixInfo::signature

Definition at line 93 of file matrix.c.

## stride

size_t _MatrixInfo::stride

Definition at line 71 of file matrix.c.

## synchronize

MagickBooleanType _MatrixInfo::synchronize

Definition at line 78 of file matrix.c.

## type

CacheType _MatrixInfo::type

Definition at line 66 of file matrix.c.

The documentation for this struct was generated from the following file:

- matrix.c